import request from '@/utils/request'


export function getSendCode(phone) {
  return request({
    url: '/auth/sendCode',
    method: 'get',
    params: { phone }
  })
}


export function login(data) {
  return request({
    url: '/auth/login',
    method: 'post',
    data
  })
}

export function getInfo(token) {
  return request({
    url: '/auth/info',
    method: 'get',
    params: { token }
  })
}

export function logout() {
  return request({
    url: '/auth/logout',
    method: 'get'
  })
}



export function register(data) {
  return request({
    url: '/system/register',
    method: 'post',
    data
  })
}
